(参考)[Python] VTKで円柱を表示する
https://qiita.com/itoru257/items/df0a7b2a2896573c5874
FreeCADのマクロで、円柱を表示してみました

環境

OS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Python version: 2.7.8

円柱の表示

# -*- coding: utf-8 -*-
import FreeCAD
import Part
App.ActiveDocument.addObject("Part::Cylinder","Cylinder")
App.ActiveDocument.ActiveObject.Label = "円柱"
App.ActiveDocument.recompute()
FreeCAD.getDocument("MeishoMisette").getObject("Cylinder").Radius = '2.5 mm'
FreeCAD.getDocument("MeishoMisette").getObject("Cylinder").Height = '5 mm'
Gui.activeDocument().activeView().viewAxonometric()
Gui.SendMsgToActiveView("ViewFit")
Sign up for free and join this conversation.
Sign Up
If you already have a Qiita account log in.